Skip to main content
`Ctrl`+`K`

# TaoAppendOptionsPrefix

Appends to the prefix used for searching for all Tao options in the database.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoAppendOptionsPrefix(Tao tao, const char p[])

Logically Collective

## Input Parameters

- tao - the `Tao` solver context

- p - the prefix string to prepend to all `Tao` option requests

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is automatically the hyphen.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetFromOptions()`, `TaoSetOptionsPrefix()`, `TaoGetOptionsPrefix()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages